import type { WaferMap } from '..';
import { UpdateTracker } from '../../utilities/models/update-tracker';
declare const trackedItems: readonly ["highlightedTags", "canvasWidth", "canvasHeight", "originLocation", "gridMinX", "gridMaxX", "gridMinY", "gridMaxY", "dies", "maxCharacters", "colorScale", "colorScaleMode", "dieLabelsHidden", "dieLabelsSuffix", "transform", "hoverDie"];
/**
 * Helper class to track what updates are needed to the wafer based on configuration
 * changes.
 */
export declare class WaferMapUpdateTracker extends UpdateTracker<typeof trackedItems> {
    private readonly wafermap;
    private updateQueued;
    constructor(wafermap: WaferMap);
    get requiresEventsUpdate(): boolean;
    get requiresWorkerWaferSetup(): boolean;
    get requiresContainerDimensionsUpdate(): boolean;
    get requiresComponentResizeUpdate(): boolean;
    get requiresScalesUpdate(): boolean;
    get requiresInputDataUpdate(): boolean;
    get requiresLabelsFontSizeUpdate(): boolean;
    get requiresDiesRenderInfoUpdate(): boolean;
    get requiresColorAndTextUpdate(): boolean;
    get requiresDrawnWaferUpdate(): boolean;
    get requiresRenderHoverUpdate(): boolean;
    /**
     * Queues an update using the DOM and until the update is run no other updates are queued.
     * After the update is finished, all the tracked items are reset.
     */
    queueUpdate(): void;
}
export {};
